Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.xml.xdk
Class XDKPlatform

`java.lang.Object
oracle.toplink.platform.xml.xdk.XDKPlatform`

All Implemented Interfaces:
  XMLPlatform

public class XDKPlatform
extends java.lang.Object
implements XMLPlatform

Constructor Summary
`XDKPlatform()`

Method Summary
`org.w3c.dom.Document` | `createDocument()` Creates a new document.
`org.w3c.dom.Document` | `createDocumentWithPublicIdentifier(java.lang.String name, java.lang.String publicIdentifier, java.lang.String systemIdentifier)` Creates a new document with the specified public and system identifiers in the DOCTYPE, and adds a root element with the specified name.
`org.w3c.dom.Document` | `createDocumentWithSystemIdentifier(java.lang.String name, java.lang.String systemIdentifier)` Creates a new document with the specified system identifier in the DOCTYPE, and adds a root element with the specified name.
`boolean` | `isWhitespaceNode(org.w3c.dom.Text text)` Check to see if the text node represents a whitespace node.
`XMLParser` | `newXMLParser()` Return a concrete implementation of the XML parser abstraction that is compatible with the XML Platform.
`XMLTransformer` | `newXMLTransformer()` Return a concrete implementation of the XML transformer abstraction that is compatible with the XML Platform.
`java.lang.String` | `resolveNamespacePrefix(org.w3c.dom.Node contextNode, java.lang.String namespacePrefix)` Return the namespace URI for the specified namespace prefix relative to the context node.
`org.w3c.dom.NodeList` | `selectNodesAdvanced(org.w3c.dom.Node contextNode, java.lang.String xPath, XMLNamespaceResolver xmlNamespaceResolver)` Execute advanced XPath statements that are required for TopLink EIS.
`org.w3c.dom.Node` | `selectSingleNodeAdvanced(org.w3c.dom.Node contextNode, java.lang.String xPath, XMLNamespaceResolver xmlNamespaceResolver)` Execute advanced XPath statements that are required for TopLink EIS.
`boolean` | `validate(org.w3c.dom.Element elem, XMLDescriptor xmlDescriptor, org.xml.sax.ErrorHandler errorHandler)` Validates a document fragment against a complex type or element in the XML schema
`boolean` | `validateDocument(org.w3c.dom.Document document, java.net.URL xmlSchemaURL, org.xml.sax.ErrorHandler errorHandler)` Validates a document against an XML schema

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDKPlatform

    public XDKPlatform()

Method Detail

### selectSingleNodeAdvanced

    public org.w3c.dom.Node selectSingleNodeAdvanced(org.w3c.dom.Node contextNode,
                                                     java.lang.String xPath,
                                                     XMLNamespaceResolver xmlNamespaceResolver)
                                              throws XMLPlatformException

  Execute advanced XPath statements that are required for TopLink EIS.
  Specified by:
    `selectSingleNodeAdvanced` in interface `XMLPlatform`
  Parameters:
    `contextNode` -
    `xPath` -
    `xmlNamespaceResolver` -
  Returns:
  Throws:
    `XMLPlatformException`

### selectNodesAdvanced

    public org.w3c.dom.NodeList selectNodesAdvanced(org.w3c.dom.Node contextNode,
                                                    java.lang.String xPath,
                                                    XMLNamespaceResolver xmlNamespaceResolver)
                                             throws XMLPlatformException

  Execute advanced XPath statements that are required for TopLink EIS.
  Specified by:
    `selectNodesAdvanced` in interface `XMLPlatform`
  Parameters:
    `contextNode` - the node relative to which the XPath statement will be executed. xPath the XPath statement namespaceResolver used to resolve namespace prefixes to the corresponding namespace URI
  Returns:
    the XPath result
  Throws:
    `XMLPlatformException`

### createDocument

    public org.w3c.dom.Document createDocument()
                                        throws XMLPlatformException

  Description copied from interface: `XMLPlatform`
  Creates a new document.
  Specified by:
    `createDocument` in interface `XMLPlatform`
  Returns:
    the new document
  Throws:
    `XMLPlatformException`

### createDocumentWithPublicIdentifier

    public org.w3c.dom.Document createDocumentWithPublicIdentifier(java.lang.String name,
                                                                   java.lang.String publicIdentifier,
                                                                   java.lang.String systemIdentifier)
                                                            throws XMLPlatformException

  Description copied from interface: `XMLPlatform`
  Creates a new document with the specified public and system identifiers in the DOCTYPE, and adds a root element with the specified name.
  Specified by:
    `createDocumentWithPublicIdentifier` in interface `XMLPlatform`
  Parameters:
    `name` - the name of the root element publicIdentifier the public identifier systemIdentifier the system identifier
  Returns:
    the new document
  Throws:
    `XMLPlatformException`

### createDocumentWithSystemIdentifier

    public org.w3c.dom.Document createDocumentWithSystemIdentifier(java.lang.String name,
                                                                   java.lang.String systemIdentifier)
                                                            throws XMLPlatformException

  Description copied from interface: `XMLPlatform`
  Creates a new document with the specified system identifier in the DOCTYPE, and adds a root element with the specified name.
  Specified by:
    `createDocumentWithSystemIdentifier` in interface `XMLPlatform`
  Parameters:
    `name` - the name of the root element systemIdentifier the system identifier
  Returns:
    the new document
  Throws:
    `XMLPlatformException`

### isWhitespaceNode

    public boolean isWhitespaceNode(org.w3c.dom.Text text)

  Description copied from interface: `XMLPlatform`
  Check to see if the text node represents a whitespace node.
  Specified by:
    `isWhitespaceNode` in interface `XMLPlatform`
  Parameters:
    `text` - a potential whitespace node
  Returns:
    if the text node represents a whitespace node.

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(org.w3c.dom.Node contextNode,
                                                   java.lang.String namespacePrefix)
                                            throws XMLPlatformException

  Description copied from interface: `XMLPlatform`
  Return the namespace URI for the specified namespace prefix relative to the context node.
  Specified by:
    `resolveNamespacePrefix` in interface `XMLPlatform`
  Parameters:
    `contextNode` - the node to be looking for the namespace URI namespacePrefix the namespace prefix
  Returns:
    the namespace URI for the specified prefix
  Throws:
    `XMLPlatformException`

### newXMLParser

    public XMLParser newXMLParser()

  Description copied from interface: `XMLPlatform`
  Return a concrete implementation of the XML parser abstraction that is compatible with the XML Platform.
  Specified by:
    `newXMLParser` in interface `XMLPlatform`
  Returns:
    a platform specific XML parser

### newXMLTransformer

    public XMLTransformer newXMLTransformer()

  Description copied from interface: `XMLPlatform`
  Return a concrete implementation of the XML transformer abstraction that is compatible with the XML Platform.
  Specified by:
    `newXMLTransformer` in interface `XMLPlatform`
  Returns:
    a platform specific XML transfomer

### validateDocument

    public boolean validateDocument(org.w3c.dom.Document document,
                                    java.net.URL xmlSchemaURL,
                                    org.xml.sax.ErrorHandler errorHandler)
                             throws XMLPlatformException

  Validates a document against an XML schema
  Specified by:
    `validateDocument` in interface `XMLPlatform`
  Parameters:
    `document` - - the document to be validated
    `xmlSchemaURL` - - the schema URL
    `errorHandler` - - the error handler
  Returns:
    true if the document fragment is valid, false otherwise
  Throws:
    `XMLPlatformException`

### validate

    public boolean validate(org.w3c.dom.Element elem,
                            XMLDescriptor xmlDescriptor,
                            org.xml.sax.ErrorHandler errorHandler)
                     throws XMLPlatformException

  Validates a document fragment against a complex type or element in the XML schema
  Specified by:
    `validate` in interface `XMLPlatform`
  Returns:
    true if the document fragment is valid, false otherwise
  Throws:
    `XMLPlatformException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD